Bug 166569 - zooming in crops page
zooming in crops page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 09:36 EDT by Pall Valmundsson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 17:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pall Valmundsson 2005-08-23 09:36:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
When I resize/maximize the program window and zoom in the page is cropped on the right side at the same width as the program window was upon starting the program.

Works the same on all levels of zooming.

Also using "fit width" will only zoom the page to the original window width.

Using KDE 3.4.2-0.fc3.2

Version-Release number of selected component (if applicable):
xpdf-3.01-0.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. execute xpdf <filename.pdf>
2. enlarge/maximize program window
3. zoom in using the drop down list
  

Actual Results:  the page is cropped at the original width of the program window

Expected Results:  the page should have been displayed across the whole window

Additional info:
Comment 1 Adam Pribyl 2005-08-29 12:00:32 EDT
Same happens here on FC4. I think this happens after last security update
xpdf-3.01-0.FC4.1 and its pretty reproducable.
Comment 2 Ngo Than 2005-08-29 12:18:52 EDT
yes, it's reproducable in new xpdf-3.01.
Comment 3 Adam Pribyl 2005-08-30 04:05:14 EDT
OK, so what is next? This makes xpdf unusable.
Comment 4 Ngo Than 2005-08-30 04:48:05 EDT
i'm still investigating why it's broken in 3.01 release. I hope to get more
infos from the xpdf author how to fix this problem. Please be patient
Comment 5 Baif 2005-09-12 22:33:00 EDT
Yes. I'm using FC4, and the any version newer than 3.00-19 will have this 
problem. 
Comment 6 Ngo Than 2005-09-13 05:42:19 EDT
It apparently only happens with certain window managers: KDE; and not with 
others: fvwm2, GHOME/Metacity. 
 
 
Comment 7 Adam Pribyl 2005-09-13 08:45:37 EDT
You are right, so count enlightenment dr16 to these that do NOT work. IceWM to
these that xpdf is OK.

I noticed that wmanager that works centers the pdf window content when resized.
This is not the case for these that do not work.
Comment 8 Adam Pribyl 2005-09-14 03:29:08 EDT
OK, so with IceWM I can reproduce both behaviours. First thing that makes
difference is wherether you have set showing window content while resizing
(opaque resize). If it is disabled, then this xpdf croping does not apears at
all. If it is not set, then it happens only under some conditions, which are
pretty hard to describe.
Comment 9 Ngo Than 2005-10-06 17:52:19 EDT
This problem is now fixed in xpdf-3.01-0.FC3.2 or newer. It will be available 
for FC3 update next week. Many Thanks for your report. 
Comment 10 Adam Pribyl 2005-10-07 04:43:48 EDT
How about the fix for FC4? There xpdf has same problem.
Comment 11 Ngo Than 2005-10-10 03:41:25 EDT
yes, i will do update for FC4 too.
Comment 12 Fedora Update System 2005-10-10 13:01:17 EDT
From User-Agent: XML-RPC

xpdf-3.01-0.FC4.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 13 Fedora Update System 2005-10-10 13:01:33 EDT
From User-Agent: XML-RPC

xpdf-3.01-0.FC3.2 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.